// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    frameStyle: { useTop: true, name: '创建比赛', leftArrow: true, useBar: false },
    // 主体高度
    infoHeight: '',

    date: '2018-01-01',//默认起始时间  
    date2: '2018-01-24',//默认结束时间 
    singledate: '2018-09-01',
    time: '12:01',

    // 赛制信息
    // 默认值
    szValue: [],
    // 赛制选择信息
    valueList: [],
    // 原数据
    levelArray: [
      ['淘汰制', '循环制'],
      ['单败淘汰', '双败淘汰', '交叉淘汰'],
      ['单循环', '双循环', '四循环']
    ],
    // 赛制储存信息
    szList: [],
  },
  // 确定选择
  szChange: function (e) {
    const that = this;
    let value = e.detail.value;
    let list = that.data.valueList;
    let data = []
    for (let [index, val] of value.entries()) {
      if (list[index][val]) data.push(list[index][val])
      else data.push(list[index][0])
    }
    //存值
    let sz = [...that.data.szList, { type: data[0], name: data[1] }]
    that.setData({ szList: sz })
    that.setData({ szValue: data })
    that.search();
  },
  // 列值改变时
  columnChange: function (e) {
    const that = this;
    let array = that.data.levelArray;
    let list = that.data.valueList;
    if (e.detail.column == '0') list[1] = array[parseInt(e.detail.value) + 1];
    that.setData({ valueList: list });
  },
  //删除
  toDel: function (e) {
    const that = this;
    let list = that.data.szList;
    let value = e.currentTarget.dataset.index;
    let data = list.filter((i, index) => index != value)
    this.setData({ szList: data })
  },
  search: function () {
    const that = this;
    let data = that.data.levelArray;
    that.setData({ valueList: [data[0], data[1]] })
  },
  bindDateChange3: function (e) {
    console.log('picker发送选择改变，携带值为', e.detail.value)
    this.setData({
      singledate: e.detail.value
    })
  },
  bindTimeChange: function (e) {
    console.log('picker发送选择改变，携带值为', e.detail.value)
    this.setData({
      time: e.detail.value
    })
  },
  // 时间段选择  
  bindDateChange(e) {
    let that = this;
    console.log(e.detail.value)
    that.setData({
      date: e.detail.value,
    })
  },
  bindDateChange2(e) {
    let that = this;
    that.setData({
      date2: e.detail.value,
    })
  },
  back: function () {
    wx.navigateBack({ url: '/pages/home/index' })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // 计算高度
    this.searchHeight()
    const that = this;
    // 初始化数据
    that.search();
  },
  // 计算高度
  searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    // 减去状态栏
    let infoHeight = client.windowHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})